Cancel Payment | Payments API
curl --request POST \
--url https://api.atoa.me/api/payment-request/cancel/{paymentRequestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atoa.me/api/payment-request/cancel/{paymentRequestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atoa.me/api/payment-request/cancel/{paymentRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Your payment has been cancelled successfully."
}
{
"name": "BAD_REQUEST",
"message": "Your payment has already been processed and can't be cancelled. Please contact us if you need any help.",
"status": 400,
"errors": "[]"
}
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
Payments
Cancel Payment | Payments API
Cancel payment via the Atoa Payments API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
POST
/
api
/
payment-request
/
cancel
/
{paymentRequestId}
Cancel Payment | Payments API
The Cancel Payment API facilitates the quick cancellation of a payment request. Simply pass the paymentRequestId obtained during payment generation.
Response
The payment can be cancelled if the status of the payment request is in PAYMENT_NOT_INITIATED or AWAITING_AUTHORIZATION.
Authorization
Bearer<token>
Request Body Schema
string
required
The paymentRequestId of the initiated payment which you’ll receive from
process-payment API
{
"message": "Your payment has been cancelled successfully."
}
{
"name": "BAD_REQUEST",
"message": "Your payment has already been processed and can't be cancelled. Please contact us if you need any help.",
"status": 400,
"errors": "[]"
}
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
string
Your payment has been cancelled successfully.
⌘I